pyd ~alias_ldc2

Pyd is a library for the D programming language that wraps the raw Python/C API with a cleaner, simpler interface.


To use this package, run the following command in your project's root directory:

Manual usage
Put the following dependency into your project's dependences section:

![build-status-badge] ![docs-badge] ![pypi-version] ![license-badge]

PyD

PyD provides seamless interoperability between Python and the D programming language.

Requirements

Python

CPython 2.6+

D Compilers

  • DMD, LDC fe2.065+
  • GDC fe2.065+, embedding only (GDC still doesn't have shared library support!)

Note all D compilers are based on DMD's front end, so while LDC and GDC have their own verisoning schemes, I only pay attention to the front end version.

Authors:
  • Kirk McDonald
Dependencies:
none
Versions:
0.14.1 2021-May-17
0.14.0 2020-Dec-19
0.13.1 2020-Feb-02
0.13.0 2019-Nov-25
0.12.0 2019-Aug-24
Show all 30 versions
Download Stats:
  • 29 downloads today

  • 186 downloads this week

  • 945 downloads this month

  • 137916 downloads total

Score:
4.6
Short URL:
pyd.dub.pm